Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc.dataclassification

# Enum Class SensitivityClassification.SensitivityRank

java.lang.Object
java.lang.Enum<SensitivityClassification.SensitivityRank>
com.microsoft.sqlserver.jdbc.dataclassification.SensitivityClassification.SensitivityRank

All Implemented Interfaces:
  `Serializable`, `Comparable<SensitivityClassification.SensitivityRank>`, `java.lang.constant.Constable`

Enclosing class:
  SensitivityClassification

public static enum SensitivityClassification.SensitivityRank extends Enum<SensitivityClassification.SensitivityRank>
Sensitivity Rank https://docs.microsoft.com/sql/relational-databases/system-catalog-views/sys-sensitivity-classifications-transact-sql

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CRITICAL`
rank CRITICAL
`HIGH`
rank HIGH
`LOW`
rank LOW
`MEDIUM`
rank MEDIUM
`NONE`
rank NONE
`NOT_DEFINED`
rank not defined

## Method Summary

Modifier and Type
Method
Description
`int`
`getValue()`
Get rank value
`static boolean`
`isValid(int rank)`
Check if sensitivity rank value is valid
`static SensitivityClassification.SensitivityRank`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SensitivityClassification.SensitivityRank[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOT_DEFINED

public static final SensitivityClassification.SensitivityRank NOT_DEFINED
rank not defined

### NONE

public static final SensitivityClassification.SensitivityRank NONE
rank NONE

### LOW

public static final SensitivityClassification.SensitivityRank LOW
rank LOW

### MEDIUM

public static final SensitivityClassification.SensitivityRank MEDIUM
rank MEDIUM

### HIGH

public static final SensitivityClassification.SensitivityRank HIGH
rank HIGH

### CRITICAL

public static final SensitivityClassification.SensitivityRank CRITICAL
rank CRITICAL

## Method Details

### values

public static SensitivityClassification.SensitivityRank[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SensitivityClassification.SensitivityRank valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()
Get rank value

Returns:
  rank

### isValid

public static boolean isValid(int rank) throws SQLServerException
Check if sensitivity rank value is valid

Parameters:
  `rank` - rank
Returns:
  if sensitivity rank value is valid
Throws:
  `SQLServerException` - if error